Name:          janino
Version:       2.5.16
Release:       %mkrel 1
Summary:       An embedded Java[TM] compiler
Group:         Development/Java
URL:           http://www.janino.net/
Source0:       http://dist.codehaus.org/janino/janino-%{version}.zip
Source1:       http://repo1.maven.org/maven2/org/codehaus/janino/janino/%{version}/janino-%{version}.pom
Patch0:        janino-2.5.16-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: ant-javadoc
BuildRequires: ant-nodeps
BuildRequires: jpackage-utils
BuildRequires: java-javadoc
Requires:      ant
Requires:      junit
Requires:      jpackage-utils
BuildArch:     noarch


%description
Janino is a compiler that reads a JavaTM expression, block,
class body, source file or a set of source files, and
generates JavaTM bytecode that is loaded and executed
directly. Janino is not intended to be a development tool,
but an embedded compiler for run-time compilation purposes,
e.g. expression evaluators or "server pages" engines like JSP. 
JANINO is integrated with Apache Commons JCI ("Java Compiler
Interface") and JBoss Rules / Drools. 
JANINO can also be used for static code analysis

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Janino - An embedded Java[TM] compiler.

This package contains javadoc for %{name}.

%prep

%setup -q

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

rm -r javadoc
%patch0 -p0

perl -pi -e 's/\r$//g' src/org/codehaus/janino/doc-files/new_bsd_license.txt
mv build.properties build.properties-old
cat > build.properties << __EOF
version=%{version}
src=src
build=build
javadoc=javadoc
jdk_1_2_2_home=/usr/lib/jvm/java
ant_jar=$(build-classpath ant)
jdk_javadoc_local=%{_javadocdir}/java
ant_javadoc_local=%{_javadocdir}/ant
janino_zip=%{SOURCE0}
javadoc_packages=org.codehaus.janino,org.codehaus.janino.samples,org.codehaus.janino.tools,org.codehaus.janino.util,org.codehaus.janino.util.enumerator,org.codehaus.janino.util.iterator,org.codehaus.janino.util.resource
__EOF

%build

export CLASSPATH=
ant jar javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 build/lib/janino.jar \
	%{buildroot}%{_javadir}/janino-%{version}.jar

install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-janino.pom
%add_to_maven_depmap org.codehaus.janino janino %{version} JPP janino
%add_to_maven_depmap janino janino %{version} JPP janino

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/janino
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/janino



#%{_bindir}/aot-compile-rpm

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/janino-%{version}.jar
%{_javadir}/janino.jar
%{_mavenpomdir}/*
%config(noreplace) %{_mavendepmapfragdir}/janino

%files javadoc
%{_javadocdir}/janino



%changelog

* Thu Oct 27 2011 gil <gil> 2.5.16-1.mga2
+ Revision: 158838
- update to 1.5.16

* Fri Jun 10 2011 gil <gil> 2.5.15-0.mga2
+ Revision: 102822
- imported package janino

